Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class SeedCacheStartup

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.category.SeedCacheStartup

All Implemented Interfaces
  T3StartupDef

Deprecated See BEA Commerce product offering

    @Deprecated
    public class SeedCacheStartup

extends Object
implements T3StartupDef

`SeedCacheStartup` is a WebLogic Server startup class. It implements the `T3StartupDef`interface.
It is designed to load catalog categories in the cache at server startup. This resolves the issue of the first few page hits taking an inordinately large amount of time to be served on account of the cache not being populated and category data having to be fetched from the database. WARNING: This results in an increase in server startup time.
``

Constructor Summary
`SeedCacheStartup()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `setServices(T3ServicesDef services)` Deprecated See BEA Commerce product offering
`String` | `startup(String name, Hashtable props)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeedCacheStartup

    public SeedCacheStartup()

  Deprecated See BEA Commerce product offering

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Deprecated See BEA Commerce product offering

  Specified by:
    `setServices` in interface `T3StartupDef`

### startup

    public String startup(String name,
                          Hashtable props)

  Deprecated See BEA Commerce product offering

  Implements T3StartupDef2 gets called by the container as part of startup

  Specified by:
    `startup` in interface `T3StartupDef`
  Returns
    String Message that gets put in the weblogic log.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved